<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bmsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bmsc_char_t</compoundname>
    <includes local="no">cy_ble_bms.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bmsc__char__t_1aade78d99c9ec159cb6d4ab3150397521" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bmsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for the value field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="93" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bmsc__char__t_1a91a3026e280f4762f6583c2639f01e80" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_bmsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Server database attribute value entry. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="96" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bmsc__char__t_1a7b1e7cdc200782b9be3e0e4ba706ab6e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_bmsc_char_t::descrHandle[CY_BLE_BMS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_BMS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Characteristics Descriptors Handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bmsc__char__t_1a5f606848be7c14ff3d1f38de6ac3e2bb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_bmsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>Characteristic End Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="102" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Client Characteristic structure type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="103" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="91" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bmsc__char__t_1a7b1e7cdc200782b9be3e0e4ba706ab6e" virt="non-virtual"><scope>cy_stc_ble_bmsc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bmsc__char__t_1a5f606848be7c14ff3d1f38de6ac3e2bb" virt="non-virtual"><scope>cy_stc_ble_bmsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bmsc__char__t_1aade78d99c9ec159cb6d4ab3150397521" virt="non-virtual"><scope>cy_stc_ble_bmsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__bmsc__char__t_1a91a3026e280f4762f6583c2639f01e80" virt="non-virtual"><scope>cy_stc_ble_bmsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>